Method: projects.instances.clusters.memoryLayers.list

Lists information about memory layers.

HTTP request

GET https://bigtableadmin.googleapis.com/v2/{parent=projects/*/instances/*/clusters/*}/memoryLayers

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The unique name of the cluster for which a list of memory layers is requested. Values are of the form projects/{project}/instances/{instance}/clusters/{cluster}. Use {cluster} = '-' to list MemoryLayers for all Clusters in an instance, e.g., projects/myproject/instances/myinstance/clusters/-.

Authorization requires the following IAM permission on the specified resource parent:

  • bigtable.memoryLayers.list

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of memory layers to return. The service may return fewer than this value.

pageToken

string

Optional. A page token, received from a previous memoryLayers.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to memoryLayers.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for BigtableInstanceAdmin.ListMemoryLayers.

If successful, the response body contains data with the following structure:

JSON representation
{
  "memoryLayers": [
    {
      object (MemoryLayer)
    }
  ],
  "failedLocations": [
    string
  ],
  "nextPageToken": string
}
Fields
memoryLayers[]

object (MemoryLayer)

The list of requested memory layers.

failedLocations[]

string

Locations from which MemoryLayer information could not be retrieved, due to an outage or some other transient condition. MemoryLayers from these locations may be missing from memoryLayers, or may only have partial information returned. Values are of the form projects/<project>/locations/<zoneId>

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/bigtable.admin
  • https://www.googleapis.com/auth/bigtable.admin.cluster
  • https://www.googleapis.com/auth/bigtable.admin.instance
  • https://www.googleapis.com/auth/cloud-bigtable.admin
  • https://www.googleapis.com/auth/cloud-bigtable.admin.cluster
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.